STOFFGraphicListenerInternal::GraphicState Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
STOFFGraphicListenerInternal::GraphicState Struct Reference

the global graphic state of STOFFGraphicListener More...

## Public Member Functions
| GraphicState (std::vector< STOFFPageSpan > const &pageList)
| constructor
| GraphicState (GraphicState const &)=default
| GraphicState (GraphicState &&)=default
GraphicState & | operator= (GraphicState const &)=default
GraphicState & | operator= (GraphicState &&)=default
| ~GraphicState ()
| destructor

## Public Attributes
std::vector< STOFFPageSpan > | m_pageList
| the pages definition
librevenge::RVNGPropertyList | m_metaData
| the document meta data
bool | m_isDocumentStarted
| a flag to know if the document is open
bool | m_isPageSpanOpened
| true if a page is open
bool | m_isMasterPageSpanOpened
| true if a masterpage is open
bool | m_isAtLeastOnePageOpened
| true if the first page has been open
bool | m_isHeaderFooterOpened
| a flag to know if the header footer is started
bool | m_isHeaderFooterRegionOpened
| a flag to know if the header footer region is started
STOFFPageSpan | m_pageSpan
| ! the current page span
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list
std::vector< STOFFSubDocumentPtr > | m_subDocuments
| the list of actual subdocument
std::set< librevenge::RVNGString > | m_definedFontStyleSet
| the set of defined font style
std::set< librevenge::RVNGString > | m_definedGraphicStyleSet
| the set of defined graphic style
std::set< librevenge::RVNGString > | m_definedParagraphStyleSet
| the set of defined paragraph style
STOFFSection | m_section
| am empty section

## Detailed Description

the global graphic state of STOFFGraphicListener

## Constructor & Destructor Documentation

## ◆ GraphicState() [1/3]

STOFFGraphicListenerInternal::GraphicState::GraphicState | ( | std::vector< STOFFPageSpan > const & | pageList | ) |
| inlineexplicit

constructor

## ◆ GraphicState() [2/3]

STOFFGraphicListenerInternal::GraphicState::GraphicState | ( | GraphicState const & |  | ) |
| default

## ◆ GraphicState() [3/3]

STOFFGraphicListenerInternal::GraphicState::GraphicState | ( | GraphicState && |  | ) |
| default

## ◆ ~GraphicState()

STOFFGraphicListenerInternal::GraphicState::~GraphicState | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ operator=() [1/2]

GraphicState & STOFFGraphicListenerInternal::GraphicState::operator= | ( | GraphicState && |  | ) |
| default

## ◆ operator=() [2/2]

GraphicState & STOFFGraphicListenerInternal::GraphicState::operator= | ( | GraphicState const & |  | ) |
| default

## Member Data Documentation

## ◆ m_definedFontStyleSet

std::set<librevenge::RVNGString> STOFFGraphicListenerInternal::GraphicState::m_definedFontStyleSet

the set of defined font style

## ◆ m_definedGraphicStyleSet

std::set<librevenge::RVNGString> STOFFGraphicListenerInternal::GraphicState::m_definedGraphicStyleSet

the set of defined graphic style

## ◆ m_definedParagraphStyleSet

std::set<librevenge::RVNGString> STOFFGraphicListenerInternal::GraphicState::m_definedParagraphStyleSet

the set of defined paragraph style

## ◆ m_isAtLeastOnePageOpened

bool STOFFGraphicListenerInternal::GraphicState::m_isAtLeastOnePageOpened

true if the first page has been open

## ◆ m_isDocumentStarted

bool STOFFGraphicListenerInternal::GraphicState::m_isDocumentStarted

a flag to know if the document is open

## ◆ m_isHeaderFooterOpened

bool STOFFGraphicListenerInternal::GraphicState::m_isHeaderFooterOpened

a flag to know if the header footer is started

## ◆ m_isHeaderFooterRegionOpened

bool STOFFGraphicListenerInternal::GraphicState::m_isHeaderFooterRegionOpened

a flag to know if the header footer region is started

## ◆ m_isMasterPageSpanOpened

bool STOFFGraphicListenerInternal::GraphicState::m_isMasterPageSpanOpened

true if a masterpage is open

## ◆ m_isPageSpanOpened

bool STOFFGraphicListenerInternal::GraphicState::m_isPageSpanOpened

true if a page is open

## ◆ m_metaData

librevenge::RVNGPropertyList STOFFGraphicListenerInternal::GraphicState::m_metaData

the document meta data

## ◆ m_pageList

std::vector<STOFFPageSpan> STOFFGraphicListenerInternal::GraphicState::m_pageList

the pages definition

## ◆ m_pageSpan

STOFFPageSpan STOFFGraphicListenerInternal::GraphicState::m_pageSpan

! the current page span

## ◆ m_section

STOFFSection STOFFGraphicListenerInternal::GraphicState::m_section

am empty section

## ◆ m_sentListMarkers

std::vector<int> STOFFGraphicListenerInternal::GraphicState::m_sentListMarkers

the list of marker corresponding to sent list

## ◆ m_subDocuments

std::vector<STOFFSubDocumentPtr> STOFFGraphicListenerInternal::GraphicState::m_subDocuments

the list of actual subdocument

The documentation for this struct was generated from the following file:

- STOFFGraphicListener.cxx